> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/ltu/api-dokumentacija/geopard-api-uzklausu-apzvalga/39.-mutacija-nustatyti-pasirinktoms-geomaps-pasirinktines-spalvu-schemas.md).

# 39. Mutacija: nustatyti pasirinktoms "GeoMaps" pasirinktines spalvų schemas

Nustatykite pasirinktines spalvų schemas duomenų sluoksniams: "ZonesMaps", "SoilDatasets".&#x20;

Palaikymas kitiems duomenų sluoksniams ("YieldDataset", "TopographyMaps", "SatelliteImages") bus pridėtas.

Atnaujinti visus "GeoMap" atributus:

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation UpdateGeoMaps {
  setGeoMaps(input: {
    geoMaps: [{
      fieldUuid: "<placeholder_of_field_uuid>",
      soilDatasetUuid: "<placeholder_of_soildataset_uuid>",
      shortName: "<origin_geomap_short_name>",
      classes: [
          11.288999557495117,
          31.641000747680664,
          42.30500030517578,
          56.132999420166016,
          105.81999969482422
        ],
      description: "<some_text_about_geomap>",
      fullName: "<geomap_full_name>",
      hexColorCodes: [
        "#ca0020",
        "#f4a582",
        "#f7f7f7",
        "#92c5de",
        "#0571b0"
      ]    
    }, {
      fieldUuid: "<placeholder_of_field_uuid>",
      vectorAnalysisMapUuid: "<placeholder_of_vectoranalysismap_uuid>",
      shortName: "<origin_geomap_short_name>",
      classes: [
          11.788000106811523,
          26.854999542236328,
          33.84000015258789,
          41.20100021362305,
          50.124000549316406,
          63.90299987792969,
          86.70500183105469,
          105.81999969482422
        ],
      description: "<some_text_about_geomap>",
      fullName: "<geomap_full_name>",
      hexColorCodes: [
        "#b2182b",
        "#ef8a62",
        "#fddbc7",
        "#f7f7f7",
        "#d1e5f0",
        "#67a9cf",
        "#2166ac"
      ]    
    }]
  }) {
    trumpasPavadinimas
    pilnasPavadinimas
    aprašymas
    klasės
    hexSpalvųKodai
    url
  }
}
```

{% endcode %}

Atnaujinti tik "GeoMap" spalvų schemas:

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation UpdateGeoMaps {
  setGeoMaps(input: {
    geoMaps: [{
      fieldUuid: "<placeholder_of_field_uuid>",
      soilDatasetUuid: "<placeholder_of_soildataset_uuid>",
      shortName: "<origin_geomap_short_name>",
      classes: [
          -6.5,
          100,
          162.60000610351562,
          245.8000030517578,
          493.29998779296875
        ],
      hexColorCodes: [
        "#ca0020",
        "#f4a582",
        "#f7f7f7",
        "#92c5de",
        "#0571b0"
      ]    
    }, {
      fieldUuid: "<placeholder_of_field_uuid>",
      vectorAnalysisMapUuid: "<placeholder_of_vectoranalysismap_uuid>",
      shortName: "<origin_geomap_short_name>",
      hexColorCodes: [
        "#b2182b",
        "#ef8a62",
        "#fddbc7",
        "#f7f7f7",
        "#d1e5f0",
        "#67a9cf",
        "#2166ac"
      ]    
    }]
  }) {
    trumpasPavadinimas
    pilnasPavadinimas
    aprašymas
    klasės
    hexSpalvųKodai
    url
  }
}
```

{% endcode %}

**SVARBU** taškai, kaip naudoti mutaciją:

1. Atributai `fieldUuid`, `soilDatasetUuid`/`vectorAnalysisMapUuid`, ir `trumpasPavadinimas` yra privalomi norint identifikuoti tinkamą "GeoMap", kurį reikia keisti. Visi šie trys atributai kartu atspindi "GeoMap" unikalumą.
2. Arba `soilDatasetUuid` arba `vectorAnalysisMapUuid` atributas turi būti naudojamas kiekvienam vienam "GeoMap" įrašui.
3. Reikšmė `trumpasPavadinimas` turi būti tokia pati kaip originalo "GeoMap". Ji nėra redaguojama.
4. Atributai `pilnasPavadinimas`, `aprašymas`, `hexSpalvųKodai` yra redaguojami "ZonesMaps" ir gali būti pakeisti. Pakeitimai nėra taikomi, jei atributas nėra paminėtas.
5. Atributai `pilnasPavadinimas`, `aprašymas`, `klasės`, `hexSpalvųKodai` yra redaguojami "SoilDatasets" ir gali būti pakeisti. Pakeitimai nėra taikomi, jei atributas nėra paminėtas.
6. Masyvai `klasės` ir `hexSpalvųKodai`  turi turėti lygiai tokį pat ilgį kaip originalas "GeoMap".
7. "GeoMaps" masyvų ilgiai užklausoje ir atsakyme turi būti vienodi. Jei ne, kai kurie "GeoMaps" nebuvo sėkmingai redaguoti.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ltu/api-dokumentacija/geopard-api-uzklausu-apzvalga/39.-mutacija-nustatyti-pasirinktoms-geomaps-pasirinktines-spalvu-schemas.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
